/*******************************************************************************
** This file is provided under a dual BSD/GPLv2 license.  When using or
** redistributing this file, you may do so under either license.
**
** GPL LICENSE SUMMARY
**
** Copyright (c) 2013-2019 Intel Corporation All Rights Reserved
**
** This program is free software; you can redistribute it and/or modify it under
** the terms of version 2 of the GNU General Public License as published by the
** Free Software Foundation.
**
** This program is distributed in the hope that it will be useful, but WITHOUT
** ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
** FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
** details.
**
** You should have received a copy of the GNU General Public License along with
** this program; if not, write to the Free Software  Foundation, Inc.,
** 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
** The full GNU General Public License is included in this distribution in the
** file called LICENSE.GPL.
**
** BSD LICENSE
**
** Copyright (c) 2013-2019 Intel Corporation All Rights Reserved
**
** Redistribution and use in source and binary forms, with or without
** modification, are permitted provided that the following conditions are met:
**
** * Redistributions of source code must retain the above copyright notice, this
**   list of conditions and the following disclaimer.
** * Redistributions in binary form must reproduce the above copyright notice,
**   this list of conditions and the following disclaimer in the documentation
**   and/or other materials provided with the distribution.
** * Neither the name of Intel Corporation nor the names of its contributors may
**   be used to endorse or promote products derived from this software without
**   specific prior written permission.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
** AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
** IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
** ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
** LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,  SPECIAL, EXEMPLARY, OR
** CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
** SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
** INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
** CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
** ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
** POSSIBILITY OF SUCH DAMAGE.
**
*******************************************************************************/

#pragma once

#include "esif_sdk.h"

/*
 * PRIMITIVE Declarations
 */

typedef enum esif_primitive_type {
	GET_AC_PEAK_POWER = 447,
	GET_ACTIVE_CONTROL_POINT_RELATIONSHIP_TABLE = 424,
	GET_ACTIVE_RELATIONSHIP_TABLE = 89,
	GET_ACTIVITY_COUNTER_WIDTH = 575,
	GET_ACUR = 414,
	GET_ADAPTER_POWER_RATING = 296,
	GET_ADAPTIVE_PERFORMANCE_ACTIONS_TABLE = 321,
	GET_ADAPTIVE_PERFORMANCE_CONDITIONS_TABLE = 316,
	GET_ADAPTIVE_PERFORMANCE_PARTICIPANT_CONDITION_TABLE = 406,
	GET_ADAPTIVE_USER_PRESENCE_TABLE = 615,
	GET_AMBIENT_CAPICITANCE_COEF = 243,
	GET_AMBIENT_NOTIFICATION_THRESHOLD = 244,
	GET_AP01 = 416,
	GET_AP02 = 418,
	GET_AP10 = 420,
	GET_AVAILABLE_DEVICES = 543,
	GET_AVG_TEMPERATURE = 352,
	GET_AVG_TEMPERATURE_TIME_WINDOW = 353,
	GET_AVOL = 412,
	GET_BASELINE_SSC_GUARD_BAND = 570,
	GET_BASELINE_SSC_SPREAD_VALUE = 566,
	GET_BASELINE_SSC_THRESHOLD = 568,
	GET_BATTERY_HIGH_FREQUENCY_IMPEDANCE = 511,
	GET_BATTERY_INFORMATION = 224,
	GET_BATTERY_MAX_PEAK_CURRENT = 515,
	GET_BATTERY_NO_LOAD_VOLTAGE = 513,
	GET_BATTERY_STATUS = 223,
	GET_BATTERY_TEMPERATURE = 547,
	GET_CHARGER_TYPE = 297,
	GET_CLOCK_COUNT = 185,
	GET_CLOCK_ORIGINAL_FREQUENCY = 187,
	GET_CONFIG = 344,
	GET_CONFIG_ACCESS_CONTROL_SUR = 381,
	GET_CONFIG_DATAVAULT_DESCRIPTION = 545,
	GET_CONFIG_DATAVAULT_SUR = 345,
	GET_CORE_ACTIVITY_COUNTER = 442,
	GET_DC_PEAK_POWER = 451,
	GET_DEVICE_ADDRESS_ON_PARENT_BUS = 49,
	GET_DEVICE_COMPATABILITY_ID = 50,
	GET_DEVICE_DESCRIPTION = 60,
	GET_DEVICE_HARDWARE_ID = 53,
	GET_DEVICE_STATUS = 88,
	GET_DEVICE_UNIQUE_ID = 67,
	GET_DISK_INFO = 389,
	GET_DISPLAY_BRIGHTNESS = 356,
	GET_DISPLAY_BRIGHTNESS_LEVELS = 158,
	GET_DISPLAY_CAPABILITY = 159,
	GET_DISPLAY_DEPTH_LIMIT = 160,
	GET_DOMAIN_PRIORITY = 178,
	GET_DYNAMIC_BATTERY_POWER_ACTION = 279,
	GET_EMERGENCY_CALL_MODE_TABLE = 385,
	GET_EPP_SENSITIVITY_HINT = 564,
	GET_ES_DISPLAY_REQUIRED = 617,
	GET_FAN_CAPABILITIES = 495,
	GET_FAN_INFORMATION = 84,
	GET_FAN_PERFORMANCE_STATES = 85,
	GET_FAN_STATUS = 86,
	GET_FAST_POLL_TIME = 462,
	GET_FIVR_VERSION = 652,
	GET_FIVR_VERSION_SUR = 653,
	GET_GT_CLIP_REASONS = 610,
	GET_HID_ACCESS_INFO = 491,
	GET_HWPF_CONFIG = 607,
	GET_HWPF_STATE = 606,
	GET_IA_CLIP_REASONS = 609,
	GET_INFO = 439,
	GET_INSTANTANEOUS_POWER = 481,
	GET_IOCTL = 390,
	GET_LAST_EWMA_POWER = 404,
	GET_LAST_HID_INPUT_TIME = 618,
	GET_LAST_POWER_USED = 402,
	GET_MINIMUM_SAMPLE_PERIOD = 426,
	GET_NOTIFICATION_TEMP_THRESHOLD = 54,
	GET_OEM_VARS = 323,
	GET_OS_FOREGROUND_APPLICATION = 380,
	GET_PARTICIPANT_CURRENT_CONTROL_CAPABILITY = 282,
	GET_PARTICIPANT_ENERGY_THRESHOLD = 472,
	GET_PARTICIPANT_PERF_PRESENT_CAPABILITY = 176,
	GET_PARTICIPANT_RESIDENCY_UTILIZATION = 443,
	GET_PARTICIPANT_SAMPLE_PERIOD = 300,
	GET_PARTICIPANT_SKU = 141,
	GET_PARTICIPANT_TYPE = 139,
	GET_PARTICIPANT_UTILIZATION = 138,
	GET_PARTICIPANT_UTILIZATION_THRESHOLD = 470,
	GET_PASSIVE_RELATIONSHIP_TABLE = 234,
	GET_PERF_PSTATE_DEPTH_LIMIT = 76,
	GET_PERF_SUPPORT_STATES = 137,
	GET_PERF_SUPPORT_STATES_SUR = 429,
	GET_PERFMON_FIXED_COUNTER = 603,
	GET_PID_ALGORITHM_TABLE = 410,
	GET_PID_KI_TERM = 458,
	GET_PID_KP_TERM = 456,
	GET_PID_TIME_AVERAGE_CONSTANT = 460,
	GET_PLATFORM_BATTERY_STEADY_STATE = 294,
	GET_PLATFORM_MAX_BATTERY_POWER = 291,
	GET_PLATFORM_POWER_LIMIT = 331,
	GET_PLATFORM_POWER_LIMIT_DUTY_CYCLE = 337,
	GET_PLATFORM_POWER_LIMIT_ENABLE = 332,
	GET_PLATFORM_POWER_LIMIT_TIME_WINDOW = 333,
	GET_PLATFORM_POWER_SOURCE = 295,
	GET_PLATFORM_REST_OF_POWER = 298,
	GET_PLATFORM_VMIN = 292,
	GET_PORT = 436,
	GET_POWER_ALPHA = 396,
	GET_POWER_BOSS_ACTIONS_TABLE = 362,
	GET_POWER_BOSS_CONDITIONS_TABLE = 360,
	GET_POWER_BOSS_MATH_TABLE = 422,
	GET_POWER_DELTA = 400,
	GET_POWER_SAMPLE_PERIOD = 278,
	GET_POWER_SEED = 398,
	GET_POWER_SHARE_TEMPERATURE_THRESHOLD = 468,
	GET_POWER_SHARING_ALGORITHM_TABLE = 440,
	GET_POWER_SHARING_ALGORITHM_TABLE_2 = 589,
	GET_POWER_THRESHOLD_COUNT = 196,
	GET_POWER_THRESHOLD_HYSTERESIS = 197,
	GET_POWER_THRESHOLDS = 198,
	GET_PROC_BRAND_MODIFIER = 551,
	GET_PROC_CTDP_CAPABILITY = 79,
	GET_PROC_CTDP_CURRENT_SETTING = 26,
	GET_PROC_CTDP_LOCK_STATUS = 27,
	GET_PROC_CTDP_POINT_LIST = 80,
	GET_PROC_CTDP_SUPPORT_CHECK = 25,
	GET_PROC_CTDP_TAR_LOCK_STATUS = 28,
	GET_PROC_CURRENT_LOGICAL_PROCESSOR_OFFLINING = 69,
	GET_PROC_HDC_OOB_ENABLE = 326,
	GET_PROC_HWP_ENABLE = 325,
	GET_PROC_HWP_SUPPORT_CHECK = 311,
	GET_PROC_IO_THROTTLE_STATUS = 151,
	GET_PROC_LOGICAL_PROCESSOR_AFFINITY = 228,
	GET_PROC_LOGICAL_PROCESSOR_COUNT = 101,
	GET_PROC_MFM_LPM_SUPPORTED = 207,
	GET_PROC_MFM_MAX_EFFICIENCY_RATIO = 209,
	GET_PROC_MFM_MIN_SUPPORTED_RATIO = 208,
	GET_PROC_PER_CORE_CSTATE_RESIDENCY = 314,
	GET_PROC_PER_CORE_UTILIZATION = 310,
	GET_PROC_PERF_MAX_TIME = 103,
	GET_PROC_PERF_PRESENT_CAPABILITY = 56,
	GET_PROC_PERF_PSTATE_CURRENT_MAX_TODO = 99,
	GET_PROC_PERF_PSTATE_DEPTH_LIMIT = 55,
	GET_PROC_PERF_PSTATE_STATUS_TODO = 98,
	GET_PROC_PERF_SUPPORT_STATES = 95,
	GET_PROC_PERF_THROTTLE_CONTROL = 58,
	GET_PROC_PERF_THROTTLE_PRESENT_CAPABILITY = 62,
	GET_PROC_PERF_TSTATE_DEPTH_LIMIT = 61,
	GET_PROC_PKG_CSTATE_RESIDENCY = 315,
	GET_PROC_RF_TUNING_AVAILABLE = 268,
	GET_PROC_RP_STATE_CAPABILITY = 277,
	GET_PROC_THERMAL_DESIGN_POWER = 21,
	GET_PROC_THREAD_STALL_COUNTER = 313,
	GET_PROC_THREAD_STALL_COUNTER_STATUS = 324,
	GET_PROC_TJMAX = 20,
	GET_PROC_TSC = 312,
	GET_PROC_TURBO_ACTIVATION_RATIO = 219,
	GET_PROC_TURBO_POWER_STATE = 97,
	GET_PROC_TURBO_STATE = 218,
	GET_RAPL_ENERGY = 128,
	GET_RAPL_ENERGY_COUNTER_WIDTH = 475,
	GET_RAPL_ENERGY_UNIT = 123,
	GET_RAPL_FLOOR_STATE = 537,
	GET_RAPL_POWER = 35,
	GET_RAPL_POWER_CONTROL_CAPABILITIES = 75,
	GET_RAPL_POWER_DEFAULT = 148,
	GET_RAPL_POWER_LIMIT = 38,
	GET_RAPL_POWER_LIMIT_DUTY_CYCLE = 341,
	GET_RAPL_POWER_LIMIT_ENABLE = 126,
	GET_RAPL_POWER_LIMIT_LOCK = 172,
	GET_RAPL_POWER_LIMIT_TIME_WINDOW = 339,
	GET_RAPL_POWER_MAX = 23,
	GET_RAPL_POWER_MAX_TIME_WINDOW = 24,
	GET_RAPL_POWER_MIN = 22,
	GET_RAPL_POWER_UNIT = 124,
	GET_RAPL_TIME_UNIT = 122,
	GET_RAPL_TIME_WINDOW = 39,
	GET_RF_CHANNEL_INFO = 487,
	GET_RFPROFILE_CENTER_FREQUENCY = 245,
	GET_RFPROFILE_CENTER_FREQUENCY_FIVR = 524,
	GET_RFPROFILE_CENTER_FREQUENCY_MCIVR = 482,
	GET_RFPROFILE_CLIP_PERCENT_LEFT = 255,
	GET_RFPROFILE_CLIP_PERCENT_RIGHT = 256,
	GET_RFPROFILE_DEFAULT_CENTER_FREQUENCY = 254,
	GET_RFPROFILE_DEFAULT_CENTER_FREQUENCY_FIVR = 526,
	GET_RFPROFILE_DEFAULT_CENTER_FREQUENCY_MCIVR = 483,
	GET_RFPROFILE_FIVR_RFI_XTAL_19_24 = 522,
	GET_RFPROFILE_FIVR_RFI_XTAL_38 = 530,
	GET_RFPROFILE_FREQUENCY_ADJUST_RESOLUTION = 257,
	GET_RFPROFILE_MAX_FREQUENCY = 497,
	GET_RFPROFILE_MAX_FREQUENCY_XTAL_19_2 = 503,
	GET_RFPROFILE_MAX_FREQUENCY_XTAL_24 = 499,
	GET_RFPROFILE_MAX_FREQUENCY_XTAL_38_4 = 534,
	GET_RFPROFILE_MIN_FREQUENCY = 498,
	GET_RFPROFILE_MIN_FREQUENCY_XTAL_19_2 = 504,
	GET_RFPROFILE_MIN_FREQUENCY_XTAL_24 = 500,
	GET_RFPROFILE_MIN_FREQUENCY_XTAL_38_4 = 535,
	GET_RFPROFILE_SSC = 485,
	GET_RFPROFILE_SSC_FIVR = 527,
	GET_RFPROFILE_SSC_MCIVR = 486,
	GET_RFPROFILE_WIFI24_FREQ_GUARD_BAND = 591,
	GET_RFPROFILE_WIFI5_FREQ_GUARD_BAND = 592,
	GET_RFPROFILE_WWAN_FREQ_GUARD_BAND = 593,
	GET_RING_CLIP_REASONS = 611,
	GET_SLOW_POLL_TIME = 464,
	GET_SLOWPOLL_POWER_THRESHOLD = 479,
	GET_SOC_WORKLOAD = 553,
	GET_SOCWC_AC_POLLING_PERIOD = 558,
	GET_SOCWC_DC_POLLING_PERIOD = 560,
	GET_SOCWC_SLOW_POLLING_PERIOD = 562,
	GET_STANDBY_TEMPERATURE_SAMPLE_PERIOD = 505,
	GET_STORAGE_BUS_CONTROLLER_LOCATION = 531,
	GET_STORAGE_SAMPLE_PERIOD = 572,
	GET_SUPPORT_EPP_HINT = 556,
	GET_SUPPORT_SOC_WORKLOAD = 552,
	GET_SUPPORTED_POLICIES = 92,
	GET_SYSTEM_CONFIGTDP_LEVEL_NAME = 272,
	GET_TCC_OFFSET = 477,
	GET_TEMPERATURE = 14,
	GET_TEMPERATURE_APPROX_TABLE = 164,
	GET_TEMPERATURE_SUR = 290,
	GET_TEMPERATURE_SURACPI = 320,
	GET_TEMPERATURE_THRESHOLD_COUNT = 72,
	GET_TEMPERATURE_THRESHOLD_HYSTERESIS = 15,
	GET_TEMPERATURE_THRESHOLDS = 143,
	GET_THERMAL_MBOX_CMD_DATA = 548,
	GET_THERMAL_MBOX_CMD_REG = 541,
	GET_THERMAL_MBOX_DATA_REG = 538,
	GET_THERMAL_RELATIONSHIP_TABLE = 91,
	GET_TRIP_POINT_ACTIVE = 1,
	GET_TRIP_POINT_CRITICAL = 13,
	GET_TRIP_POINT_HOT = 12,
	GET_TRIP_POINT_PASSIVE = 11,
	GET_TRIP_POINT_WARM = 177,
	GET_TSC_WIDTH = 597,
	GET_TSTATE_CURRENT = 16,
	GET_TSTATES = 65,
	GET_VIRTUAL_SENSOR_CALIB_TABLE = 347,
	GET_VIRTUAL_SENSOR_POLLING_TABLE = 348,
	GET_VIRTUAL_TEMPERATURE = 346,
	GET_VOLTAGE_THRESHOLD_MATH_TABLE = 520,
	GET_WEIGHTED_SLOWPOLL_CONSTANT = 466,
	SET_AC_PEAK_POWER = 448,
	SET_ACTIVE_CONTROL_POINT_RELATIONSHIP_TABLE = 425,
	SET_ACTIVE_RELATIONSHIP_TABLE = 230,
	SET_ACUR = 415,
	SET_ADAPTER_POWER_RATING = 438,
	SET_ADAPTIVE_DIMMING_EXTERNAL_MONITOR_FEATURE_STATE = 627,
	SET_ADAPTIVE_DIMMING_FEATURE_STATE = 623,
	SET_ADAPTIVE_DIMMING_PRESENTATION_MODE_FEATURE_STATE = 645,
	SET_ADAPTIVE_PERFORMANCE_ACTIONS_TABLE = 322,
	SET_ADAPTIVE_PERFORMANCE_CONDITIONS_TABLE = 317,
	SET_ADAPTIVE_PERFORMANCE_PARTICIPANT_CONDITION_TABLE = 407,
	SET_ADAPTIVE_USER_PRESENCE_TABLE = 616,
	SET_AMBIENT_TEMPERATURE_INDICATION = 242,
	SET_AP01 = 417,
	SET_AP02 = 419,
	SET_AP10 = 421,
	SET_APP_ALIVE_RESPONSE = 507,
	SET_APP_START = 408,
	SET_APP_STOP = 409,
	SET_AVG_TEMPERATURE_TIME_WINDOW = 354,
	SET_AVOL = 413,
	SET_BASELINE_SSC_GUARD_BAND = 571,
	SET_BASELINE_SSC_SPREAD_VALUE = 567,
	SET_BASELINE_SSC_THRESHOLD = 569,
	SET_BATTERY_HIGH_FREQUENCY_IMPEDANCE = 512,
	SET_BATTERY_MAX_PEAK_CURRENT = 516,
	SET_BATTERY_NO_LOAD_VOLTAGE = 514,
	SET_BATTERY_STATE_OF_CHARGE = 518,
	SET_BATTERY_TEMPERATURE = 517,
	SET_CLEAR_ALL_SIMULATION_MODE_EVENT_TYPE = 614,
	SET_CLEAR_SIMULATION_MODE_EVENT_TYPE = 613,
	SET_CONFIG_DATAVAULT = 544,
	SET_CONFIG_RESET = 392,
	SET_CTDP_POINT = 83,
	SET_DC_PEAK_POWER = 452,
	SET_DEVICE_TEMPERATURE_INDICATION = 51,
	SET_DISPLAY_BRIGHTNESS = 355,
	SET_DISPLAY_BRIGHTNESS_LEVELS = 328,
	SET_DISPLAY_CAPABILITY = 329,
	SET_DISPLAY_DEPTH_LIMIT = 330,
	SET_DSP = 200,
	SET_EMERGENCY_CALL_MODE_TABLE = 386,
	SET_ENERGY_THRESHOLD_COUNT = 453,
	SET_ENERGY_THRESHOLD_INT_DISABLE = 454,
	SET_EPP_SENSITIVITY_HINT = 565,
	SET_EXECUTE_SIMULATION = 395,
	SET_FAN_CAPABILITIES = 496,
	SET_FAN_LEVEL = 87,
	SET_FAST_POLL_TIME = 463,
	SET_HWPF_CONFIG = 608,
	SET_IOCTL = 391,
	SET_JAVA_HELPER_SERVICE_NOTIFICATION = 388,
	SET_LAST_EWMA_POWER = 405,
	SET_LAST_POWER_USED = 403,
	SET_MINIMUM_SAMPLE_PERIOD = 427,
	SET_NO_LOCK_ON_PRESENCE_FEATURE_STATE = 620,
	SET_OEM_VARS = 379,
	SET_OPERATING_SYSTEM_CAPABILITIES = 93,
	SET_OS_BATTERY_PERCENTAGE = 368,
	SET_OS_COOLING_MODE = 375,
	SET_OS_DOCK_MODE = 374,
	SET_OS_FOREGROUND_APPLICATION = 378,
	SET_OS_LID_STATE = 376,
	SET_OS_MIXED_REALITY_MODE = 508,
	SET_OS_MOBILE_NOTIFICATION = 387,
	SET_OS_PLATFORM_TYPE = 377,
	SET_OS_POWER_SOURCE = 369,
	SET_PARTICIPANT_CAPABILITIES_EVAL = 393,
	SET_PARTICIPANT_CURRENT_CONTROL_CAPABILITY = 288,
	SET_PARTICIPANT_CURRENT_LIMIT = 285,
	SET_PARTICIPANT_ENERGY_THRESHOLD = 473,
	SET_PARTICIPANT_HYSTERESIS_BEHAVIOR = 305,
	SET_PARTICIPANT_MAX_PERF_STATE = 490,
	SET_PARTICIPANT_RESIDENCY_UTILIZATION = 474,
	SET_PARTICIPANT_SAMPLE_BEHAVIOR = 302,
	SET_PARTICIPANT_SAMPLE_PERIOD = 301,
	SET_PARTICIPANT_UTILIZATION_THRESHOLD = 471,
	SET_PASSIVE_RELATIONSHIP_TABLE = 235,
	SET_PBOK = 444,
	SET_PERF_PRESENT_CAPABILITY = 82,
	SET_PERF_PRESENT_CAPABILITY_SUR = 304,
	SET_PERF_PSTATE_DEPTH_LIMIT = 343,
	SET_PERF_SUPPORT_STATES = 227,
	SET_PERFMON_COUNTERS_FIXED_CTR_CTRL = 604,
	SET_PERFMON_COUNTERS_GLOBAL_CTRL = 605,
	SET_PID_ALGORITHM_TABLE = 411,
	SET_PID_KI_TERM = 459,
	SET_PID_KP_TERM = 457,
	SET_PID_TIME_AVERAGE_CONSTANT = 461,
	SET_PLATFORM_BATTERY_STEADY_STATE = 383,
	SET_PLATFORM_MAX_BATTERY_POWER = 382,
	SET_PLATFORM_POWER_LIMIT = 334,
	SET_PLATFORM_POWER_LIMIT_DUTY_CYCLE = 338,
	SET_PLATFORM_POWER_LIMIT_ENABLE = 335,
	SET_PLATFORM_POWER_LIMIT_TIME_WINDOW = 336,
	SET_PLATFORM_POWER_SOURCE = 484,
	SET_PLATFORM_REST_OF_POWER = 437,
	SET_PORT = 533,
	SET_POWER_ALPHA = 397,
	SET_POWER_BOSS_ACTIONS_TABLE = 363,
	SET_POWER_BOSS_CONDITIONS_TABLE = 361,
	SET_POWER_BOSS_MATH_TABLE = 423,
	SET_POWER_DELTA = 401,
	SET_POWER_SAMPLE_BEHAVIOR = 384,
	SET_POWER_SEED = 399,
	SET_POWER_SHARE_TEMPERATURE_THRESHOLD = 469,
	SET_POWER_SHARING_ALGORITHM_TABLE = 441,
	SET_POWER_SHARING_ALGORITHM_TABLE_2 = 590,
	SET_POWER_THRESHOLD_HYSTERESIS = 233,
	SET_POWER_THRESHOLDS = 199,
	SET_PROC_CTDP_CONTROL = 221,
	SET_PROC_IO_THROTTLE_CONTROL = 152,
	SET_PROC_LOGICAL_PROCESSOR_AFFINITY = 229,
	SET_PROC_MAX_THROTTLE_STATE = 494,
	SET_PROC_NUMBER_OFFLINE_CORES = 153,
	SET_PROC_PERF_PSTATE_DEPTH_LIMIT = 275,
	SET_PROC_PERF_SUPPORT_STATES = 357,
	SET_PROC_PERF_TSTATE_DEPTH_LIMIT = 276,
	SET_PROC_THERMAL_DESIGN_POWER = 555,
	SET_PROC_TURBO_ACTIVATION_RATIO = 220,
	SET_PROC_TURBO_STATE = 100,
	SET_RAPL_ENERGY = 476,
	SET_RAPL_FLOOR_STATE = 539,
	SET_RAPL_POWER = 455,
	SET_RAPL_POWER_CONTROL_CAPABILITIES = 274,
	SET_RAPL_POWER_LIMIT = 130,
	SET_RAPL_POWER_LIMIT_DUTY_CYCLE = 342,
	SET_RAPL_POWER_LIMIT_ENABLE = 222,
	SET_RAPL_POWER_LIMIT_TIME_WINDOW = 340,
	SET_RAPL_TIME_WINDOW = 127,
	SET_RF_CHANNEL_INFO = 488,
	SET_RFPROFILE_CENTER_FREQUENCY = 211,
	SET_RFPROFILE_CENTER_FREQUENCY_FIVR = 525,
	SET_RFPROFILE_CENTER_FREQUENCY_MCIVR = 489,
	SET_RFPROFILE_CENTER_FREQUENCY_SUR = 303,
	SET_RFPROFILE_FIVR_RFI_XTAL_19_24 = 523,
	SET_RFPROFILE_FIVR_RFI_XTAL_38 = 529,
	SET_RFPROFILE_SSC = 492,
	SET_RFPROFILE_SSC_FIVR = 528,
	SET_RFPROFILE_SSC_MCIVR = 493,
	SET_RFPROFILE_WIFI24_FREQ_GUARD_BAND = 594,
	SET_RFPROFILE_WIFI5_FREQ_GUARD_BAND = 595,
	SET_RFPROFILE_WWAN_FREQ_GUARD_BAND = 596,
	SET_SCREEN_AUTO_LOCK_STATE = 633,
	SET_SCREEN_LOCK_WAIT_TIME = 619,
	SET_SCREEN_STATE = 632,
	SET_SENSOR_DEVICE_ORIENTATION = 371,
	SET_SENSOR_DISPLAY_ORIENTATION = 370,
	SET_SENSOR_HUB_ENABLE = 394,
	SET_SENSOR_MOTION_CHANGED = 372,
	SET_SIMULATION_MODE_EVENT_TYPE = 612,
	SET_SLOW_POLL_TIME = 465,
	SET_SLOWPOLL_POWER_THRESHOLD = 480,
	SET_SOCWC_AC_POLLING_PERIOD = 559,
	SET_SOCWC_DC_POLLING_PERIOD = 561,
	SET_SOCWC_SLOW_POLLING_PERIOD = 563,
	SET_SPECIFIC_ACTION_PRIMITIVE = 428,
	SET_STANDBY_TEMPERATURE_SAMPLE_PERIOD = 506,
	SET_STORAGE_BUS_CONTROLLER_LOCATION = 532,
	SET_SUPPORT_EPP_HINT = 557,
	SET_SUPPORT_SOC_WORKLOAD = 554,
	SET_SUPPORTED_POLICIES = 271,
	SET_SYSTEM_CONFIGTDP_CLEAR_LEVELS = 269,
	SET_SYSTEM_CONFIGTDP_LEVEL_NAME = 270,
	SET_SYSTEM_HIBERNATE = 175,
	SET_SYSTEM_POWER_SETTING_DISABLE = 319,
	SET_SYSTEM_POWER_SETTING_ENABLE = 318,
	SET_SYSTEM_POWER_SETTING_REMOVE = 273,
	SET_SYSTEM_SHUTDOWN = 173,
	SET_SYSTEM_SLEEP = 174,
	SET_TCC_OFFSET = 478,
	SET_TEMPERATURE = 241,
	SET_TEMPERATURE_INTERRUPT_STATE = 280,
	SET_TEMPERATURE_THRESHOLD_HYSTERESIS = 232,
	SET_TEMPERATURE_THRESHOLDS = 47,
	SET_TEMPERATURE_THRESHOLDS_SUR = 299,
	SET_THERMAL_MBOX_CMD_DATA = 549,
	SET_THERMAL_MBOX_CMD_REG = 542,
	SET_THERMAL_MBOX_DATA_REG = 540,
	SET_THERMAL_RELATIONSHIP_TABLE = 231,
	SET_TRIGGER_EVENT = 550,
	SET_TRIP_POINT_ACTIVE = 202,
	SET_TRIP_POINT_CRITICAL = 203,
	SET_TRIP_POINT_HOT = 204,
	SET_TRIP_POINT_PASSIVE = 206,
	SET_TRIP_POINT_WARM = 205,
	SET_TSTATE_CURRENT = 147,
	SET_UNDER_VOLTAGE_THRESHOLD = 519,
	SET_USBC_POWER_LIMIT = 509,
	SET_USBC_POWER_LIMIT_SUR = 510,
	SET_VIRTUAL_SENSOR_CALIB_TABLE = 350,
	SET_VIRTUAL_SENSOR_POLLING_TABLE = 351,
	SET_VIRTUAL_TEMPERATURE = 349,
	SET_VOLTAGE_THRESHOLD_MATH_TABLE = 521,
	SET_WAKE_ON_APPROACH_EXTERNAL_MONITOR_FEATURE_STATE = 628,
	SET_WAKE_ON_APPROACH_FEATURE_STATE = 624,
	SET_WAKE_ON_APPROACH_STATE = 630,
	SET_WALK_AWAY_LOCK_EXTERNAL_MONITOR_FEATURE_STATE = 629,
	SET_WALK_AWAY_LOCK_FEATURE_STATE = 625,
	SET_WEIGHTED_SLOWPOLL_CONSTANT = 467,
	SET_WORKSTATION_LOCK = 631,
} esif_primitive_type_t;

/* Max Enum Value for Iteration purposes */
#define MAX_PRIMITIVE_ENUM_VALUE  GET_FIVR_VERSION_SUR

static ESIF_INLINE esif_string esif_primitive_str(esif_primitive_type_t type)
{
	switch (type) {
	ESIF_CASE_ENUM(GET_AC_PEAK_POWER);
	ESIF_CASE_ENUM(GET_ACTIVE_CONTROL_POINT_RELATIONSHIP_TABLE);
	ESIF_CASE_ENUM(GET_ACTIVE_RELATIONSHIP_TABLE);
	ESIF_CASE_ENUM(GET_ACTIVITY_COUNTER_WIDTH);
	ESIF_CASE_ENUM(GET_ACUR);
	ESIF_CASE_ENUM(GET_ADAPTER_POWER_RATING);
	ESIF_CASE_ENUM(GET_ADAPTIVE_PERFORMANCE_ACTIONS_TABLE);
	ESIF_CASE_ENUM(GET_ADAPTIVE_PERFORMANCE_CONDITIONS_TABLE);
	ESIF_CASE_ENUM(GET_ADAPTIVE_PERFORMANCE_PARTICIPANT_CONDITION_TABLE);
	ESIF_CASE_ENUM(GET_ADAPTIVE_USER_PRESENCE_TABLE);
	ESIF_CASE_ENUM(GET_AMBIENT_CAPICITANCE_COEF);
	ESIF_CASE_ENUM(GET_AMBIENT_NOTIFICATION_THRESHOLD);
	ESIF_CASE_ENUM(GET_AP01);
	ESIF_CASE_ENUM(GET_AP02);
	ESIF_CASE_ENUM(GET_AP10);
	ESIF_CASE_ENUM(GET_AVAILABLE_DEVICES);
	ESIF_CASE_ENUM(GET_AVG_TEMPERATURE);
	ESIF_CASE_ENUM(GET_AVG_TEMPERATURE_TIME_WINDOW);
	ESIF_CASE_ENUM(GET_AVOL);
	ESIF_CASE_ENUM(GET_BASELINE_SSC_GUARD_BAND);
	ESIF_CASE_ENUM(GET_BASELINE_SSC_SPREAD_VALUE);
	ESIF_CASE_ENUM(GET_BASELINE_SSC_THRESHOLD);
	ESIF_CASE_ENUM(GET_BATTERY_HIGH_FREQUENCY_IMPEDANCE);
	ESIF_CASE_ENUM(GET_BATTERY_INFORMATION);
	ESIF_CASE_ENUM(GET_BATTERY_MAX_PEAK_CURRENT);
	ESIF_CASE_ENUM(GET_BATTERY_NO_LOAD_VOLTAGE);
	ESIF_CASE_ENUM(GET_BATTERY_STATUS);
	ESIF_CASE_ENUM(GET_BATTERY_TEMPERATURE);
	ESIF_CASE_ENUM(GET_CHARGER_TYPE);
	ESIF_CASE_ENUM(GET_CLOCK_COUNT);
	ESIF_CASE_ENUM(GET_CLOCK_ORIGINAL_FREQUENCY);
	ESIF_CASE_ENUM(GET_CONFIG);
	ESIF_CASE_ENUM(GET_CONFIG_ACCESS_CONTROL_SUR);
	ESIF_CASE_ENUM(GET_CONFIG_DATAVAULT_DESCRIPTION);
	ESIF_CASE_ENUM(GET_CONFIG_DATAVAULT_SUR);
	ESIF_CASE_ENUM(GET_CORE_ACTIVITY_COUNTER);
	ESIF_CASE_ENUM(GET_DC_PEAK_POWER);
	ESIF_CASE_ENUM(GET_DEVICE_ADDRESS_ON_PARENT_BUS);
	ESIF_CASE_ENUM(GET_DEVICE_COMPATABILITY_ID);
	ESIF_CASE_ENUM(GET_DEVICE_DESCRIPTION);
	ESIF_CASE_ENUM(GET_DEVICE_HARDWARE_ID);
	ESIF_CASE_ENUM(GET_DEVICE_STATUS);
	ESIF_CASE_ENUM(GET_DEVICE_UNIQUE_ID);
	ESIF_CASE_ENUM(GET_DISK_INFO);
	ESIF_CASE_ENUM(GET_DISPLAY_BRIGHTNESS);
	ESIF_CASE_ENUM(GET_DISPLAY_BRIGHTNESS_LEVELS);
	ESIF_CASE_ENUM(GET_DISPLAY_CAPABILITY);
	ESIF_CASE_ENUM(GET_DISPLAY_DEPTH_LIMIT);
	ESIF_CASE_ENUM(GET_DOMAIN_PRIORITY);
	ESIF_CASE_ENUM(GET_DYNAMIC_BATTERY_POWER_ACTION);
	ESIF_CASE_ENUM(GET_EMERGENCY_CALL_MODE_TABLE);
	ESIF_CASE_ENUM(GET_EPP_SENSITIVITY_HINT);
	ESIF_CASE_ENUM(GET_ES_DISPLAY_REQUIRED);
	ESIF_CASE_ENUM(GET_FAN_CAPABILITIES);
	ESIF_CASE_ENUM(GET_FAN_INFORMATION);
	ESIF_CASE_ENUM(GET_FAN_PERFORMANCE_STATES);
	ESIF_CASE_ENUM(GET_FAN_STATUS);
	ESIF_CASE_ENUM(GET_FAST_POLL_TIME);
	ESIF_CASE_ENUM(GET_FIVR_VERSION);
	ESIF_CASE_ENUM(GET_FIVR_VERSION_SUR);
	ESIF_CASE_ENUM(GET_GT_CLIP_REASONS);
	ESIF_CASE_ENUM(GET_HID_ACCESS_INFO);
	ESIF_CASE_ENUM(GET_HWPF_CONFIG);
	ESIF_CASE_ENUM(GET_HWPF_STATE);
	ESIF_CASE_ENUM(GET_IA_CLIP_REASONS);
	ESIF_CASE_ENUM(GET_INFO);
	ESIF_CASE_ENUM(GET_INSTANTANEOUS_POWER);
	ESIF_CASE_ENUM(GET_IOCTL);
	ESIF_CASE_ENUM(GET_LAST_EWMA_POWER);
	ESIF_CASE_ENUM(GET_LAST_HID_INPUT_TIME);
	ESIF_CASE_ENUM(GET_LAST_POWER_USED);
	ESIF_CASE_ENUM(GET_MINIMUM_SAMPLE_PERIOD);
	ESIF_CASE_ENUM(GET_NOTIFICATION_TEMP_THRESHOLD);
	ESIF_CASE_ENUM(GET_OEM_VARS);
	ESIF_CASE_ENUM(GET_OS_FOREGROUND_APPLICATION);
	ESIF_CASE_ENUM(GET_PARTICIPANT_CURRENT_CONTROL_CAPABILITY);
	ESIF_CASE_ENUM(GET_PARTICIPANT_ENERGY_THRESHOLD);
	ESIF_CASE_ENUM(GET_PARTICIPANT_PERF_PRESENT_CAPABILITY);
	ESIF_CASE_ENUM(GET_PARTICIPANT_RESIDENCY_UTILIZATION);
	ESIF_CASE_ENUM(GET_PARTICIPANT_SAMPLE_PERIOD);
	ESIF_CASE_ENUM(GET_PARTICIPANT_SKU);
	ESIF_CASE_ENUM(GET_PARTICIPANT_TYPE);
	ESIF_CASE_ENUM(GET_PARTICIPANT_UTILIZATION);
	ESIF_CASE_ENUM(GET_PARTICIPANT_UTILIZATION_THRESHOLD);
	ESIF_CASE_ENUM(GET_PASSIVE_RELATIONSHIP_TABLE);
	ESIF_CASE_ENUM(GET_PERF_PSTATE_DEPTH_LIMIT);
	ESIF_CASE_ENUM(GET_PERF_SUPPORT_STATES);
	ESIF_CASE_ENUM(GET_PERF_SUPPORT_STATES_SUR);
	ESIF_CASE_ENUM(GET_PERFMON_FIXED_COUNTER);
	ESIF_CASE_ENUM(GET_PID_ALGORITHM_TABLE);
	ESIF_CASE_ENUM(GET_PID_KI_TERM);
	ESIF_CASE_ENUM(GET_PID_KP_TERM);
	ESIF_CASE_ENUM(GET_PID_TIME_AVERAGE_CONSTANT);
	ESIF_CASE_ENUM(GET_PLATFORM_BATTERY_STEADY_STATE);
	ESIF_CASE_ENUM(GET_PLATFORM_MAX_BATTERY_POWER);
	ESIF_CASE_ENUM(GET_PLATFORM_POWER_LIMIT);
	ESIF_CASE_ENUM(GET_PLATFORM_POWER_LIMIT_DUTY_CYCLE);
	ESIF_CASE_ENUM(GET_PLATFORM_POWER_LIMIT_ENABLE);
	ESIF_CASE_ENUM(GET_PLATFORM_POWER_LIMIT_TIME_WINDOW);
	ESIF_CASE_ENUM(GET_PLATFORM_POWER_SOURCE);
	ESIF_CASE_ENUM(GET_PLATFORM_REST_OF_POWER);
	ESIF_CASE_ENUM(GET_PLATFORM_VMIN);
	ESIF_CASE_ENUM(GET_PORT);
	ESIF_CASE_ENUM(GET_POWER_ALPHA);
	ESIF_CASE_ENUM(GET_POWER_BOSS_ACTIONS_TABLE);
	ESIF_CASE_ENUM(GET_POWER_BOSS_CONDITIONS_TABLE);
	ESIF_CASE_ENUM(GET_POWER_BOSS_MATH_TABLE);
	ESIF_CASE_ENUM(GET_POWER_DELTA);
	ESIF_CASE_ENUM(GET_POWER_SAMPLE_PERIOD);
	ESIF_CASE_ENUM(GET_POWER_SEED);
	ESIF_CASE_ENUM(GET_POWER_SHARE_TEMPERATURE_THRESHOLD);
	ESIF_CASE_ENUM(GET_POWER_SHARING_ALGORITHM_TABLE);
	ESIF_CASE_ENUM(GET_POWER_SHARING_ALGORITHM_TABLE_2);
	ESIF_CASE_ENUM(GET_POWER_THRESHOLD_COUNT);
	ESIF_CASE_ENUM(GET_POWER_THRESHOLD_HYSTERESIS);
	ESIF_CASE_ENUM(GET_POWER_THRESHOLDS);
	ESIF_CASE_ENUM(GET_PROC_BRAND_MODIFIER);
	ESIF_CASE_ENUM(GET_PROC_CTDP_CAPABILITY);
	ESIF_CASE_ENUM(GET_PROC_CTDP_CURRENT_SETTING);
	ESIF_CASE_ENUM(GET_PROC_CTDP_LOCK_STATUS);
	ESIF_CASE_ENUM(GET_PROC_CTDP_POINT_LIST);
	ESIF_CASE_ENUM(GET_PROC_CTDP_SUPPORT_CHECK);
	ESIF_CASE_ENUM(GET_PROC_CTDP_TAR_LOCK_STATUS);
	ESIF_CASE_ENUM(GET_PROC_CURRENT_LOGICAL_PROCESSOR_OFFLINING);
	ESIF_CASE_ENUM(GET_PROC_HDC_OOB_ENABLE);
	ESIF_CASE_ENUM(GET_PROC_HWP_ENABLE);
	ESIF_CASE_ENUM(GET_PROC_HWP_SUPPORT_CHECK);
	ESIF_CASE_ENUM(GET_PROC_IO_THROTTLE_STATUS);
	ESIF_CASE_ENUM(GET_PROC_LOGICAL_PROCESSOR_AFFINITY);
	ESIF_CASE_ENUM(GET_PROC_LOGICAL_PROCESSOR_COUNT);
	ESIF_CASE_ENUM(GET_PROC_MFM_LPM_SUPPORTED);
	ESIF_CASE_ENUM(GET_PROC_MFM_MAX_EFFICIENCY_RATIO);
	ESIF_CASE_ENUM(GET_PROC_MFM_MIN_SUPPORTED_RATIO);
	ESIF_CASE_ENUM(GET_PROC_PER_CORE_CSTATE_RESIDENCY);
	ESIF_CASE_ENUM(GET_PROC_PER_CORE_UTILIZATION);
	ESIF_CASE_ENUM(GET_PROC_PERF_MAX_TIME);
	ESIF_CASE_ENUM(GET_PROC_PERF_PRESENT_CAPABILITY);
	ESIF_CASE_ENUM(GET_PROC_PERF_PSTATE_CURRENT_MAX_TODO);
	ESIF_CASE_ENUM(GET_PROC_PERF_PSTATE_DEPTH_LIMIT);
	ESIF_CASE_ENUM(GET_PROC_PERF_PSTATE_STATUS_TODO);
	ESIF_CASE_ENUM(GET_PROC_PERF_SUPPORT_STATES);
	ESIF_CASE_ENUM(GET_PROC_PERF_THROTTLE_CONTROL);
	ESIF_CASE_ENUM(GET_PROC_PERF_THROTTLE_PRESENT_CAPABILITY);
	ESIF_CASE_ENUM(GET_PROC_PERF_TSTATE_DEPTH_LIMIT);
	ESIF_CASE_ENUM(GET_PROC_PKG_CSTATE_RESIDENCY);
	ESIF_CASE_ENUM(GET_PROC_RF_TUNING_AVAILABLE);
	ESIF_CASE_ENUM(GET_PROC_RP_STATE_CAPABILITY);
	ESIF_CASE_ENUM(GET_PROC_THERMAL_DESIGN_POWER);
	ESIF_CASE_ENUM(GET_PROC_THREAD_STALL_COUNTER);
	ESIF_CASE_ENUM(GET_PROC_THREAD_STALL_COUNTER_STATUS);
	ESIF_CASE_ENUM(GET_PROC_TJMAX);
	ESIF_CASE_ENUM(GET_PROC_TSC);
	ESIF_CASE_ENUM(GET_PROC_TURBO_ACTIVATION_RATIO);
	ESIF_CASE_ENUM(GET_PROC_TURBO_POWER_STATE);
	ESIF_CASE_ENUM(GET_PROC_TURBO_STATE);
	ESIF_CASE_ENUM(GET_RAPL_ENERGY);
	ESIF_CASE_ENUM(GET_RAPL_ENERGY_COUNTER_WIDTH);
	ESIF_CASE_ENUM(GET_RAPL_ENERGY_UNIT);
	ESIF_CASE_ENUM(GET_RAPL_FLOOR_STATE);
	ESIF_CASE_ENUM(GET_RAPL_POWER);
	ESIF_CASE_ENUM(GET_RAPL_POWER_CONTROL_CAPABILITIES);
	ESIF_CASE_ENUM(GET_RAPL_POWER_DEFAULT);
	ESIF_CASE_ENUM(GET_RAPL_POWER_LIMIT);
	ESIF_CASE_ENUM(GET_RAPL_POWER_LIMIT_DUTY_CYCLE);
	ESIF_CASE_ENUM(GET_RAPL_POWER_LIMIT_ENABLE);
	ESIF_CASE_ENUM(GET_RAPL_POWER_LIMIT_LOCK);
	ESIF_CASE_ENUM(GET_RAPL_POWER_LIMIT_TIME_WINDOW);
	ESIF_CASE_ENUM(GET_RAPL_POWER_MAX);
	ESIF_CASE_ENUM(GET_RAPL_POWER_MAX_TIME_WINDOW);
	ESIF_CASE_ENUM(GET_RAPL_POWER_MIN);
	ESIF_CASE_ENUM(GET_RAPL_POWER_UNIT);
	ESIF_CASE_ENUM(GET_RAPL_TIME_UNIT);
	ESIF_CASE_ENUM(GET_RAPL_TIME_WINDOW);
	ESIF_CASE_ENUM(GET_RF_CHANNEL_INFO);
	ESIF_CASE_ENUM(GET_RFPROFILE_CENTER_FREQUENCY);
	ESIF_CASE_ENUM(GET_RFPROFILE_CENTER_FREQUENCY_FIVR);
	ESIF_CASE_ENUM(GET_RFPROFILE_CENTER_FREQUENCY_MCIVR);
	ESIF_CASE_ENUM(GET_RFPROFILE_CLIP_PERCENT_LEFT);
	ESIF_CASE_ENUM(GET_RFPROFILE_CLIP_PERCENT_RIGHT);
	ESIF_CASE_ENUM(GET_RFPROFILE_DEFAULT_CENTER_FREQUENCY);
	ESIF_CASE_ENUM(GET_RFPROFILE_DEFAULT_CENTER_FREQUENCY_FIVR);
	ESIF_CASE_ENUM(GET_RFPROFILE_DEFAULT_CENTER_FREQUENCY_MCIVR);
	ESIF_CASE_ENUM(GET_RFPROFILE_FIVR_RFI_XTAL_19_24);
	ESIF_CASE_ENUM(GET_RFPROFILE_FIVR_RFI_XTAL_38);
	ESIF_CASE_ENUM(GET_RFPROFILE_FREQUENCY_ADJUST_RESOLUTION);
	ESIF_CASE_ENUM(GET_RFPROFILE_MAX_FREQUENCY);
	ESIF_CASE_ENUM(GET_RFPROFILE_MAX_FREQUENCY_XTAL_19_2);
	ESIF_CASE_ENUM(GET_RFPROFILE_MAX_FREQUENCY_XTAL_24);
	ESIF_CASE_ENUM(GET_RFPROFILE_MAX_FREQUENCY_XTAL_38_4);
	ESIF_CASE_ENUM(GET_RFPROFILE_MIN_FREQUENCY);
	ESIF_CASE_ENUM(GET_RFPROFILE_MIN_FREQUENCY_XTAL_19_2);
	ESIF_CASE_ENUM(GET_RFPROFILE_MIN_FREQUENCY_XTAL_24);
	ESIF_CASE_ENUM(GET_RFPROFILE_MIN_FREQUENCY_XTAL_38_4);
	ESIF_CASE_ENUM(GET_RFPROFILE_SSC);
	ESIF_CASE_ENUM(GET_RFPROFILE_SSC_FIVR);
	ESIF_CASE_ENUM(GET_RFPROFILE_SSC_MCIVR);
	ESIF_CASE_ENUM(GET_RFPROFILE_WIFI24_FREQ_GUARD_BAND);
	ESIF_CASE_ENUM(GET_RFPROFILE_WIFI5_FREQ_GUARD_BAND);
	ESIF_CASE_ENUM(GET_RFPROFILE_WWAN_FREQ_GUARD_BAND);
	ESIF_CASE_ENUM(GET_RING_CLIP_REASONS);
	ESIF_CASE_ENUM(GET_SLOW_POLL_TIME);
	ESIF_CASE_ENUM(GET_SLOWPOLL_POWER_THRESHOLD);
	ESIF_CASE_ENUM(GET_SOC_WORKLOAD);
	ESIF_CASE_ENUM(GET_SOCWC_AC_POLLING_PERIOD);
	ESIF_CASE_ENUM(GET_SOCWC_DC_POLLING_PERIOD);
	ESIF_CASE_ENUM(GET_SOCWC_SLOW_POLLING_PERIOD);
	ESIF_CASE_ENUM(GET_STANDBY_TEMPERATURE_SAMPLE_PERIOD);
	ESIF_CASE_ENUM(GET_STORAGE_BUS_CONTROLLER_LOCATION);
	ESIF_CASE_ENUM(GET_STORAGE_SAMPLE_PERIOD);
	ESIF_CASE_ENUM(GET_SUPPORT_EPP_HINT);
	ESIF_CASE_ENUM(GET_SUPPORT_SOC_WORKLOAD);
	ESIF_CASE_ENUM(GET_SUPPORTED_POLICIES);
	ESIF_CASE_ENUM(GET_SYSTEM_CONFIGTDP_LEVEL_NAME);
	ESIF_CASE_ENUM(GET_TCC_OFFSET);
	ESIF_CASE_ENUM(GET_TEMPERATURE);
	ESIF_CASE_ENUM(GET_TEMPERATURE_APPROX_TABLE);
	ESIF_CASE_ENUM(GET_TEMPERATURE_SUR);
	ESIF_CASE_ENUM(GET_TEMPERATURE_SURACPI);
	ESIF_CASE_ENUM(GET_TEMPERATURE_THRESHOLD_COUNT);
	ESIF_CASE_ENUM(GET_TEMPERATURE_THRESHOLD_HYSTERESIS);
	ESIF_CASE_ENUM(GET_TEMPERATURE_THRESHOLDS);
	ESIF_CASE_ENUM(GET_THERMAL_MBOX_CMD_DATA);
	ESIF_CASE_ENUM(GET_THERMAL_MBOX_CMD_REG);
	ESIF_CASE_ENUM(GET_THERMAL_MBOX_DATA_REG);
	ESIF_CASE_ENUM(GET_THERMAL_RELATIONSHIP_TABLE);
	ESIF_CASE_ENUM(GET_TRIP_POINT_ACTIVE);
	ESIF_CASE_ENUM(GET_TRIP_POINT_CRITICAL);
	ESIF_CASE_ENUM(GET_TRIP_POINT_HOT);
	ESIF_CASE_ENUM(GET_TRIP_POINT_PASSIVE);
	ESIF_CASE_ENUM(GET_TRIP_POINT_WARM);
	ESIF_CASE_ENUM(GET_TSC_WIDTH);
	ESIF_CASE_ENUM(GET_TSTATE_CURRENT);
	ESIF_CASE_ENUM(GET_TSTATES);
	ESIF_CASE_ENUM(GET_VIRTUAL_SENSOR_CALIB_TABLE);
	ESIF_CASE_ENUM(GET_VIRTUAL_SENSOR_POLLING_TABLE);
	ESIF_CASE_ENUM(GET_VIRTUAL_TEMPERATURE);
	ESIF_CASE_ENUM(GET_VOLTAGE_THRESHOLD_MATH_TABLE);
	ESIF_CASE_ENUM(GET_WEIGHTED_SLOWPOLL_CONSTANT);
	ESIF_CASE_ENUM(SET_AC_PEAK_POWER);
	ESIF_CASE_ENUM(SET_ACTIVE_CONTROL_POINT_RELATIONSHIP_TABLE);
	ESIF_CASE_ENUM(SET_ACTIVE_RELATIONSHIP_TABLE);
	ESIF_CASE_ENUM(SET_ACUR);
	ESIF_CASE_ENUM(SET_ADAPTER_POWER_RATING);
	ESIF_CASE_ENUM(SET_ADAPTIVE_DIMMING_EXTERNAL_MONITOR_FEATURE_STATE);
	ESIF_CASE_ENUM(SET_ADAPTIVE_DIMMING_FEATURE_STATE);
	ESIF_CASE_ENUM(SET_ADAPTIVE_DIMMING_PRESENTATION_MODE_FEATURE_STATE);
	ESIF_CASE_ENUM(SET_ADAPTIVE_PERFORMANCE_ACTIONS_TABLE);
	ESIF_CASE_ENUM(SET_ADAPTIVE_PERFORMANCE_CONDITIONS_TABLE);
	ESIF_CASE_ENUM(SET_ADAPTIVE_PERFORMANCE_PARTICIPANT_CONDITION_TABLE);
	ESIF_CASE_ENUM(SET_ADAPTIVE_USER_PRESENCE_TABLE);
	ESIF_CASE_ENUM(SET_AMBIENT_TEMPERATURE_INDICATION);
	ESIF_CASE_ENUM(SET_AP01);
	ESIF_CASE_ENUM(SET_AP02);
	ESIF_CASE_ENUM(SET_AP10);
	ESIF_CASE_ENUM(SET_APP_ALIVE_RESPONSE);
	ESIF_CASE_ENUM(SET_APP_START);
	ESIF_CASE_ENUM(SET_APP_STOP);
	ESIF_CASE_ENUM(SET_AVG_TEMPERATURE_TIME_WINDOW);
	ESIF_CASE_ENUM(SET_AVOL);
	ESIF_CASE_ENUM(SET_BASELINE_SSC_GUARD_BAND);
	ESIF_CASE_ENUM(SET_BASELINE_SSC_SPREAD_VALUE);
	ESIF_CASE_ENUM(SET_BASELINE_SSC_THRESHOLD);
	ESIF_CASE_ENUM(SET_BATTERY_HIGH_FREQUENCY_IMPEDANCE);
	ESIF_CASE_ENUM(SET_BATTERY_MAX_PEAK_CURRENT);
	ESIF_CASE_ENUM(SET_BATTERY_NO_LOAD_VOLTAGE);
	ESIF_CASE_ENUM(SET_BATTERY_STATE_OF_CHARGE);
	ESIF_CASE_ENUM(SET_BATTERY_TEMPERATURE);
	ESIF_CASE_ENUM(SET_CLEAR_ALL_SIMULATION_MODE_EVENT_TYPE);
	ESIF_CASE_ENUM(SET_CLEAR_SIMULATION_MODE_EVENT_TYPE);
	ESIF_CASE_ENUM(SET_CONFIG_DATAVAULT);
	ESIF_CASE_ENUM(SET_CONFIG_RESET);
	ESIF_CASE_ENUM(SET_CTDP_POINT);
	ESIF_CASE_ENUM(SET_DC_PEAK_POWER);
	ESIF_CASE_ENUM(SET_DEVICE_TEMPERATURE_INDICATION);
	ESIF_CASE_ENUM(SET_DISPLAY_BRIGHTNESS);
	ESIF_CASE_ENUM(SET_DISPLAY_BRIGHTNESS_LEVELS);
	ESIF_CASE_ENUM(SET_DISPLAY_CAPABILITY);
	ESIF_CASE_ENUM(SET_DISPLAY_DEPTH_LIMIT);
	ESIF_CASE_ENUM(SET_DSP);
	ESIF_CASE_ENUM(SET_EMERGENCY_CALL_MODE_TABLE);
	ESIF_CASE_ENUM(SET_ENERGY_THRESHOLD_COUNT);
	ESIF_CASE_ENUM(SET_ENERGY_THRESHOLD_INT_DISABLE);
	ESIF_CASE_ENUM(SET_EPP_SENSITIVITY_HINT);
	ESIF_CASE_ENUM(SET_EXECUTE_SIMULATION);
	ESIF_CASE_ENUM(SET_FAN_CAPABILITIES);
	ESIF_CASE_ENUM(SET_FAN_LEVEL);
	ESIF_CASE_ENUM(SET_FAST_POLL_TIME);
	ESIF_CASE_ENUM(SET_HWPF_CONFIG);
	ESIF_CASE_ENUM(SET_IOCTL);
	ESIF_CASE_ENUM(SET_JAVA_HELPER_SERVICE_NOTIFICATION);
	ESIF_CASE_ENUM(SET_LAST_EWMA_POWER);
	ESIF_CASE_ENUM(SET_LAST_POWER_USED);
	ESIF_CASE_ENUM(SET_MINIMUM_SAMPLE_PERIOD);
	ESIF_CASE_ENUM(SET_NO_LOCK_ON_PRESENCE_FEATURE_STATE);
	ESIF_CASE_ENUM(SET_OEM_VARS);
	ESIF_CASE_ENUM(SET_OPERATING_SYSTEM_CAPABILITIES);
	ESIF_CASE_ENUM(SET_OS_BATTERY_PERCENTAGE);
	ESIF_CASE_ENUM(SET_OS_COOLING_MODE);
	ESIF_CASE_ENUM(SET_OS_DOCK_MODE);
	ESIF_CASE_ENUM(SET_OS_FOREGROUND_APPLICATION);
	ESIF_CASE_ENUM(SET_OS_LID_STATE);
	ESIF_CASE_ENUM(SET_OS_MIXED_REALITY_MODE);
	ESIF_CASE_ENUM(SET_OS_MOBILE_NOTIFICATION);
	ESIF_CASE_ENUM(SET_OS_PLATFORM_TYPE);
	ESIF_CASE_ENUM(SET_OS_POWER_SOURCE);
	ESIF_CASE_ENUM(SET_PARTICIPANT_CAPABILITIES_EVAL);
	ESIF_CASE_ENUM(SET_PARTICIPANT_CURRENT_CONTROL_CAPABILITY);
	ESIF_CASE_ENUM(SET_PARTICIPANT_CURRENT_LIMIT);
	ESIF_CASE_ENUM(SET_PARTICIPANT_ENERGY_THRESHOLD);
	ESIF_CASE_ENUM(SET_PARTICIPANT_HYSTERESIS_BEHAVIOR);
	ESIF_CASE_ENUM(SET_PARTICIPANT_MAX_PERF_STATE);
	ESIF_CASE_ENUM(SET_PARTICIPANT_RESIDENCY_UTILIZATION);
	ESIF_CASE_ENUM(SET_PARTICIPANT_SAMPLE_BEHAVIOR);
	ESIF_CASE_ENUM(SET_PARTICIPANT_SAMPLE_PERIOD);
	ESIF_CASE_ENUM(SET_PARTICIPANT_UTILIZATION_THRESHOLD);
	ESIF_CASE_ENUM(SET_PASSIVE_RELATIONSHIP_TABLE);
	ESIF_CASE_ENUM(SET_PBOK);
	ESIF_CASE_ENUM(SET_PERF_PRESENT_CAPABILITY);
	ESIF_CASE_ENUM(SET_PERF_PRESENT_CAPABILITY_SUR);
	ESIF_CASE_ENUM(SET_PERF_PSTATE_DEPTH_LIMIT);
	ESIF_CASE_ENUM(SET_PERF_SUPPORT_STATES);
	ESIF_CASE_ENUM(SET_PERFMON_COUNTERS_FIXED_CTR_CTRL);
	ESIF_CASE_ENUM(SET_PERFMON_COUNTERS_GLOBAL_CTRL);
	ESIF_CASE_ENUM(SET_PID_ALGORITHM_TABLE);
	ESIF_CASE_ENUM(SET_PID_KI_TERM);
	ESIF_CASE_ENUM(SET_PID_KP_TERM);
	ESIF_CASE_ENUM(SET_PID_TIME_AVERAGE_CONSTANT);
	ESIF_CASE_ENUM(SET_PLATFORM_BATTERY_STEADY_STATE);
	ESIF_CASE_ENUM(SET_PLATFORM_MAX_BATTERY_POWER);
	ESIF_CASE_ENUM(SET_PLATFORM_POWER_LIMIT);
	ESIF_CASE_ENUM(SET_PLATFORM_POWER_LIMIT_DUTY_CYCLE);
	ESIF_CASE_ENUM(SET_PLATFORM_POWER_LIMIT_ENABLE);
	ESIF_CASE_ENUM(SET_PLATFORM_POWER_LIMIT_TIME_WINDOW);
	ESIF_CASE_ENUM(SET_PLATFORM_POWER_SOURCE);
	ESIF_CASE_ENUM(SET_PLATFORM_REST_OF_POWER);
	ESIF_CASE_ENUM(SET_PORT);
	ESIF_CASE_ENUM(SET_POWER_ALPHA);
	ESIF_CASE_ENUM(SET_POWER_BOSS_ACTIONS_TABLE);
	ESIF_CASE_ENUM(SET_POWER_BOSS_CONDITIONS_TABLE);
	ESIF_CASE_ENUM(SET_POWER_BOSS_MATH_TABLE);
	ESIF_CASE_ENUM(SET_POWER_DELTA);
	ESIF_CASE_ENUM(SET_POWER_SAMPLE_BEHAVIOR);
	ESIF_CASE_ENUM(SET_POWER_SEED);
	ESIF_CASE_ENUM(SET_POWER_SHARE_TEMPERATURE_THRESHOLD);
	ESIF_CASE_ENUM(SET_POWER_SHARING_ALGORITHM_TABLE);
	ESIF_CASE_ENUM(SET_POWER_SHARING_ALGORITHM_TABLE_2);
	ESIF_CASE_ENUM(SET_POWER_THRESHOLD_HYSTERESIS);
	ESIF_CASE_ENUM(SET_POWER_THRESHOLDS);
	ESIF_CASE_ENUM(SET_PROC_CTDP_CONTROL);
	ESIF_CASE_ENUM(SET_PROC_IO_THROTTLE_CONTROL);
	ESIF_CASE_ENUM(SET_PROC_LOGICAL_PROCESSOR_AFFINITY);
	ESIF_CASE_ENUM(SET_PROC_MAX_THROTTLE_STATE);
	ESIF_CASE_ENUM(SET_PROC_NUMBER_OFFLINE_CORES);
	ESIF_CASE_ENUM(SET_PROC_PERF_PSTATE_DEPTH_LIMIT);
	ESIF_CASE_ENUM(SET_PROC_PERF_SUPPORT_STATES);
	ESIF_CASE_ENUM(SET_PROC_PERF_TSTATE_DEPTH_LIMIT);
	ESIF_CASE_ENUM(SET_PROC_THERMAL_DESIGN_POWER);
	ESIF_CASE_ENUM(SET_PROC_TURBO_ACTIVATION_RATIO);
	ESIF_CASE_ENUM(SET_PROC_TURBO_STATE);
	ESIF_CASE_ENUM(SET_RAPL_ENERGY);
	ESIF_CASE_ENUM(SET_RAPL_FLOOR_STATE);
	ESIF_CASE_ENUM(SET_RAPL_POWER);
	ESIF_CASE_ENUM(SET_RAPL_POWER_CONTROL_CAPABILITIES);
	ESIF_CASE_ENUM(SET_RAPL_POWER_LIMIT);
	ESIF_CASE_ENUM(SET_RAPL_POWER_LIMIT_DUTY_CYCLE);
	ESIF_CASE_ENUM(SET_RAPL_POWER_LIMIT_ENABLE);
	ESIF_CASE_ENUM(SET_RAPL_POWER_LIMIT_TIME_WINDOW);
	ESIF_CASE_ENUM(SET_RAPL_TIME_WINDOW);
	ESIF_CASE_ENUM(SET_RF_CHANNEL_INFO);
	ESIF_CASE_ENUM(SET_RFPROFILE_CENTER_FREQUENCY);
	ESIF_CASE_ENUM(SET_RFPROFILE_CENTER_FREQUENCY_FIVR);
	ESIF_CASE_ENUM(SET_RFPROFILE_CENTER_FREQUENCY_MCIVR);
	ESIF_CASE_ENUM(SET_RFPROFILE_CENTER_FREQUENCY_SUR);
	ESIF_CASE_ENUM(SET_RFPROFILE_FIVR_RFI_XTAL_19_24);
	ESIF_CASE_ENUM(SET_RFPROFILE_FIVR_RFI_XTAL_38);
	ESIF_CASE_ENUM(SET_RFPROFILE_SSC);
	ESIF_CASE_ENUM(SET_RFPROFILE_SSC_FIVR);
	ESIF_CASE_ENUM(SET_RFPROFILE_SSC_MCIVR);
	ESIF_CASE_ENUM(SET_RFPROFILE_WIFI24_FREQ_GUARD_BAND);
	ESIF_CASE_ENUM(SET_RFPROFILE_WIFI5_FREQ_GUARD_BAND);
	ESIF_CASE_ENUM(SET_RFPROFILE_WWAN_FREQ_GUARD_BAND);
	ESIF_CASE_ENUM(SET_SCREEN_AUTO_LOCK_STATE);
	ESIF_CASE_ENUM(SET_SCREEN_LOCK_WAIT_TIME);
	ESIF_CASE_ENUM(SET_SCREEN_STATE);
	ESIF_CASE_ENUM(SET_SENSOR_DEVICE_ORIENTATION);
	ESIF_CASE_ENUM(SET_SENSOR_DISPLAY_ORIENTATION);
	ESIF_CASE_ENUM(SET_SENSOR_HUB_ENABLE);
	ESIF_CASE_ENUM(SET_SENSOR_MOTION_CHANGED);
	ESIF_CASE_ENUM(SET_SIMULATION_MODE_EVENT_TYPE);
	ESIF_CASE_ENUM(SET_SLOW_POLL_TIME);
	ESIF_CASE_ENUM(SET_SLOWPOLL_POWER_THRESHOLD);
	ESIF_CASE_ENUM(SET_SOCWC_AC_POLLING_PERIOD);
	ESIF_CASE_ENUM(SET_SOCWC_DC_POLLING_PERIOD);
	ESIF_CASE_ENUM(SET_SOCWC_SLOW_POLLING_PERIOD);
	ESIF_CASE_ENUM(SET_SPECIFIC_ACTION_PRIMITIVE);
	ESIF_CASE_ENUM(SET_STANDBY_TEMPERATURE_SAMPLE_PERIOD);
	ESIF_CASE_ENUM(SET_STORAGE_BUS_CONTROLLER_LOCATION);
	ESIF_CASE_ENUM(SET_SUPPORT_EPP_HINT);
	ESIF_CASE_ENUM(SET_SUPPORT_SOC_WORKLOAD);
	ESIF_CASE_ENUM(SET_SUPPORTED_POLICIES);
	ESIF_CASE_ENUM(SET_SYSTEM_CONFIGTDP_CLEAR_LEVELS);
	ESIF_CASE_ENUM(SET_SYSTEM_CONFIGTDP_LEVEL_NAME);
	ESIF_CASE_ENUM(SET_SYSTEM_HIBERNATE);
	ESIF_CASE_ENUM(SET_SYSTEM_POWER_SETTING_DISABLE);
	ESIF_CASE_ENUM(SET_SYSTEM_POWER_SETTING_ENABLE);
	ESIF_CASE_ENUM(SET_SYSTEM_POWER_SETTING_REMOVE);
	ESIF_CASE_ENUM(SET_SYSTEM_SHUTDOWN);
	ESIF_CASE_ENUM(SET_SYSTEM_SLEEP);
	ESIF_CASE_ENUM(SET_TCC_OFFSET);
	ESIF_CASE_ENUM(SET_TEMPERATURE);
	ESIF_CASE_ENUM(SET_TEMPERATURE_INTERRUPT_STATE);
	ESIF_CASE_ENUM(SET_TEMPERATURE_THRESHOLD_HYSTERESIS);
	ESIF_CASE_ENUM(SET_TEMPERATURE_THRESHOLDS);
	ESIF_CASE_ENUM(SET_TEMPERATURE_THRESHOLDS_SUR);
	ESIF_CASE_ENUM(SET_THERMAL_MBOX_CMD_DATA);
	ESIF_CASE_ENUM(SET_THERMAL_MBOX_CMD_REG);
	ESIF_CASE_ENUM(SET_THERMAL_MBOX_DATA_REG);
	ESIF_CASE_ENUM(SET_THERMAL_RELATIONSHIP_TABLE);
	ESIF_CASE_ENUM(SET_TRIGGER_EVENT);
	ESIF_CASE_ENUM(SET_TRIP_POINT_ACTIVE);
	ESIF_CASE_ENUM(SET_TRIP_POINT_CRITICAL);
	ESIF_CASE_ENUM(SET_TRIP_POINT_HOT);
	ESIF_CASE_ENUM(SET_TRIP_POINT_PASSIVE);
	ESIF_CASE_ENUM(SET_TRIP_POINT_WARM);
	ESIF_CASE_ENUM(SET_TSTATE_CURRENT);
	ESIF_CASE_ENUM(SET_UNDER_VOLTAGE_THRESHOLD);
	ESIF_CASE_ENUM(SET_USBC_POWER_LIMIT);
	ESIF_CASE_ENUM(SET_USBC_POWER_LIMIT_SUR);
	ESIF_CASE_ENUM(SET_VIRTUAL_SENSOR_CALIB_TABLE);
	ESIF_CASE_ENUM(SET_VIRTUAL_SENSOR_POLLING_TABLE);
	ESIF_CASE_ENUM(SET_VIRTUAL_TEMPERATURE);
	ESIF_CASE_ENUM(SET_VOLTAGE_THRESHOLD_MATH_TABLE);
	ESIF_CASE_ENUM(SET_WAKE_ON_APPROACH_EXTERNAL_MONITOR_FEATURE_STATE);
	ESIF_CASE_ENUM(SET_WAKE_ON_APPROACH_FEATURE_STATE);
	ESIF_CASE_ENUM(SET_WAKE_ON_APPROACH_STATE);
	ESIF_CASE_ENUM(SET_WALK_AWAY_LOCK_EXTERNAL_MONITOR_FEATURE_STATE);
	ESIF_CASE_ENUM(SET_WALK_AWAY_LOCK_FEATURE_STATE);
	ESIF_CASE_ENUM(SET_WEIGHTED_SLOWPOLL_CONSTANT);
	ESIF_CASE_ENUM(SET_WORKSTATION_LOCK);
	}
	return ESIF_NOT_AVAILABLE;
}
